section.banner{
    height: calc(480 * var(--rpx-75));
    background-color: #000;
    color: #fff;
    position: relative;
    overflow: hidden;
}
section.banner a{
    cursor: none;
}

.no-content-hint{
    text-align: center;
    font-size: 1.5rem;
    padding-top: calc(80 * var(--rpx-50));
    padding-bottom: calc(80 * var(--rpx-50));
    opacity: .6;
}

.circle-go{
    position: fixed;
    width: calc(60 * var(--rpx));
    height: calc(60 * var(--rpx));
    background: url("../images/icon_circle_go.svg") center/contain no-repeat;
    z-index: 320;
    left: 0;
    top: 0;
    pointer-events: none;
}

section.banner .banner-tab,
section.banner .banner-tab *{
    cursor: pointer;
}

.banner-tabs{
    position: absolute;
    z-index: 290;
    left: var(--wrapper-margin);
    bottom: calc(30 * var(--rpx));

    display: flex;
    gap: calc(14 * var(--rpx));
}

.banner-tab{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: calc(30 * var(--rpx-75));
    height: calc(30 * var(--rpx));
    transition: .6s cubic-bezier(0.15, 1, 0.336, 1);
    cursor: pointer;
    position: relative;
}


.banner-tab.active{
    width: calc(90 * var(--rpx));
}

.banner-tab .tab-progress{
    z-index: 310;
}
.banner-tab:hover .tab-progress{
    background-color: rgba(255, 255, 255, .6);
    box-shadow: 0 0 5px 5px rgba(255, 255, 255, .2);
    transition: .4s;
}

.swiper-banner{
    width: 100%;
    height: 100%;
}

.banner .swiper-slide::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to right, #000f, #0009);
    z-index: 220;
}

.banner .wrapper{
    position: relative;
    z-index: 240;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-top: calc(48 * var(--rpx));
}

.banner .title{
    font-weight: 500;
    font-size: calc(88 * var(--rpx-50));
    line-height: 1em;
    margin-top: calc(28 * var(--rpx));
    max-height: 3em;
    overflow: hidden;
}

.banner .line{
    overflow: hidden;
}

.banner .line:nth-of-type(3):has(+.line)::after{
    content: "...";
    display: inline-block;
    font-size: inherit;
    line-height: 1em;
}

.banner-back{
    z-index: 210;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}

.banner .tags{
    font-size: calc(18em / 16);
}

section.main {
    padding-top: calc(140 * var(--rpx-50));
    padding-bottom: calc(160 * var(--rpx-50));

    position: relative;
}

.search-ctn.search-news {
    background-color: #F2F2F2;
    width: calc(580 * var(--rpx));
    font-size: 1rem;
    --ctn-height: calc(60em / 18);
}

.search-ctn.search-news input {
    color: #000;
}

.search-ctn.search-news input::placeholder {
    color: #0009;
}

.search-ctn.search-news input:focus {
    outline: 2px solid var(--theme-crimson);
}

.search-ctn.search-news button::after {
    --glow-color: #BE1D2380;
}

.catalog-switch {
    display: flex;
    gap: calc(10 * var(--rpx));
}

.catalog-switch .btn-more {
    width: calc(200em / 16);
}

.catalog-switch .btn-more.active {
    background-color: var(--theme-crimson);
    color: #fff;
}

.catalog-switch .btn-more.active:hover {
    background-color: var(--theme-red);
}

.load-more-ctn{
    margin-top: calc(72 * var(--rpx));
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: calc(30 * var(--rpx));
    font-size: calc(14em / 16);
}

.btn-more.btn-load{
    width: calc(240 * var(--rpx));
    color: #000;
    font-weight: 500;
    height: calc(60 * var(--rpx));
    border-radius: calc(30 * var(--rpx));
}

.btn-more.btn-load:hover,
.btn-more.disabled{
    color: #fff;
}

.btn-load::after{
    content: "";
    width: calc(12em / 16);
    height: calc(14em / 16);
    position: absolute;
    top: 0;
    bottom: calc(2em / 16);
    margin: auto;
    right: calc(24em / 16);
    background: url("../images/icon_arr_down.svg") center/contain no-repeat;
}

.btn-more.btn-load:hover::after,
.btn-more.disabled::after{
    filter: url(#white-overlay);
}

.btn-more.btn-load.disabled {
    opacity: .5;
    pointer-events: none;
    background: var(--theme-crimson);
}

.matched{
    color: #fff;
    background-color: var(--theme-crimson);
}

@media (max-width: 828px) {
    .banner .title{
        font-size: calc(48 * var(--rpx));
        max-height: 6em;
        line-height: 1.25em;
    }

    .banner .tags{
        font-size: 1rem;
    }
    .banner .line:nth-of-type(3):has(+.line)::after{
        content: none;
    }
    .banner .line:nth-of-type(4):has(+.line)::after{
        content: none;
    }
    .banner-tab{
        height: calc(72 * var(--rpx));
        width: calc(60 * var(--rpx));
    }
    .banner-tab.active{
        width: calc(180 * var(--rpx));
    }
    .banner-tab .tab-progress{
        height: calc(8 * var(--rpx));
        z-index: 310;
    }

    .search-ctn.search-news{
        width: calc(480 * var(--rpx));
    }

    .catalog-switch .btn-more{
        padding: 0 calc(18em / 14) calc(2em / 14);
        width: auto;
        white-space: nowrap;
    }

}



